body {
  font-family: Arial, sans-serif;
  text-align: center;
}

.board {
  display: grid;
  grid-template-columns: repeat(3, 100px);
  gap: 2px;
  width: 306px;
  margin: 0 auto;
}

.cell {
  width: 100px;
  height: 100px;
  font-size: 36px;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  border: 2px solid #ccc;
  display: flex;
  align-items: center;
  justify-content: center;
}

.refresh-button {
  display: block;
  margin: 10px auto;
  padding: 10px 20px;
  background-color: #4caf50;
  color: white;
  border: none;
  cursor: pointer;
  font-size: 16px;
  border-radius: 5px;
  text-align: center;
}

@media (max-width: 480px) {
  /* Adjust styling for smaller screens */
  .board {
    width: 90%;
    grid-template-columns: repeat(3, 30%);
    margin: 0 auto;
  }

  .cell {
    width: 30%;
    height: 100px;
    font-size: 24px;
  }

  .refresh-button {
    width: 100%;
  }
}
